###

###

###

###

###

###

###

    ALARM(2)            Linux Programmer's Manual            ALARM(2)

    NAME
           alarm - set an alarm clock for delivery of a signal

    SYNOPSIS
           #include <unistd.h>

           long alarm(long seconds);

    DESCRIPTION
           alarm arranges for a SIGALRM signal to be delivered to the
           process in seconds seconds.

           If seconds is zero, no new alarm is scheduled.

           In any event any previously set alarm is cancelled.

    RETURN VALUE
           alarm returns the number of seconds  remaining  until  any
           previously  scheduled  alarm  was  due to be delivered, or
           zero if there was no previously scheduled alarm.

    NOTES
           alarm and setitimer share the same  timer;  calls  to  one
           will interfere with use of the other.

           Scheduling delays can, as ever, cause the execution of the
           process to be delayed by an arbitrary amount of time.

    CONFORMING TO
           SVID, AT&T, POSIX, X/OPEN, BSD 4.3

### SEE ALSO

setitimer, signal, sigaction, gettimeofday, select, pause, sleep,

###

    Linux                      21 July 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0